Page MenuHomePhabricator

evas_cache_vg : Implements sector_get/set internal APIs
ClosedPublic

Authored by jsuya on Oct 24 2019, 11:34 PM.

Details

Summary

These APIs to get and set frames for a specific section in vg animation.
get API looks for a sector by name in the markerlist of VG_File_Data.
Then return start and end frames.

Depends on D10504

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Oct 24 2019, 11:34 PM
jsuya requested review of this revision.Oct 24 2019, 11:34 PM
Hermet requested changes to this revision.Oct 25 2019, 3:26 AM

a simple comment.

src/lib/evas/vg/evas_vg_cache.c
453

you can return as soon as possible without "find"

This revision now requires changes to proceed.Oct 25 2019, 3:26 AM
jsuya updated this revision to Diff 26649.Nov 3 2019, 5:32 PM

Update patch

jsuya marked an inline comment as done.Nov 3 2019, 5:32 PM
jsuya updated this revision to Diff 26652.Nov 3 2019, 6:14 PM

Change method name.

jsuya updated this revision to Diff 26653.Nov 3 2019, 6:15 PM
jsuya retitled this revision from evas_cache_vg : Implements sector_frame_get internal api to evas_cache_vg : Implements sector_get internal api.

update commit message

jsuya updated this revision to Diff 26657.Nov 3 2019, 6:47 PM

add null check

Hermet accepted this revision.Nov 4 2019, 7:54 AM
This revision is now accepted and ready to land.Nov 4 2019, 7:54 AM
jsuya updated this revision to Diff 26700.Nov 6 2019, 1:01 AM

update patch

  • add evas_cache_vg_anim_sector_set
jsuya updated this revision to Diff 26701.Nov 6 2019, 1:02 AM
jsuya retitled this revision from evas_cache_vg : Implements sector_get internal api to evas_cache_vg : Implements sector_get/set internal APIs.
jsuya edited the summary of this revision. (Show Details)

update commit message

jsuya updated this revision to Diff 26702.Nov 6 2019, 1:03 AM

rebase patch

jsuya updated this revision to Diff 26790.Nov 10 2019, 6:16 PM

update patch

This revision was automatically updated to reflect the committed changes.